using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace ConsoleApp20
{
    internal class Program
    {
        static void Main(string[] args)
        {
            Int64 x = Int64.Parse(Console.ReadLine());
            Int64 y = Int64.Parse(Console.ReadLine());
            string z = "";
            while (x > 0 && y > 0)
            {
                if (x % 10 > y % 10)
                {
                    z = x % 10 + z;
                }
                else if (x % 10 < y % 10)
                {
                    z = y % 10 + z;
                }
                else
                {
                    z = x % 10 + z;
                    z = y % 10 + z;
                }
                x /= 10;
                y /= 10;
            }

            if (x > 0)
            {
                z = x % 10 + z;
            }
            else if (y > 0)
            {
                z = y % 10 + z;
            }
            Console.WriteLine(z);
            
        }
    }
}